## Strings

Strings representation inside the Mono runtime.

### Synopsis

#include <metadata/object.h> typedef struct { MonoObject object; gint32 length; gunichar2 chars [0]; } MonoString; @API_IDX@

All of the operations on strings are done on pointers to `MonoString` objects, like this:

MonoString *hello = mono_string_new (mono_domain_get (), "hello, world");

Strings are bound to a particular application domain, which is why it is necessary to pass a MonoDomain argument as the first parameter to all the constructor functions.

Typically, you want to create the strings on the current application domain, so a call to `mono_domain_get()` is sufficient.

### Constructors

#### mono_string_new

#### mono_string_new_len

#### mono_string_new_size

#### mono_string_new_utf16

#### mono_string_new_utf32

#### mono_string_from_utf16

#### mono_string_from_utf32

### Conversions

#### mono_string_to_utf16

#### mono_string_to_utf8

#### mono_string_to_utf8_checked

#### mono_string_to_utf32

### Methods

#### mono_string_equal

#### mono_string_hash

#### mono_string_intern

#### mono_string_is_interned

#### mono_string_new_wrapper

#### mono_string_chars

#### mono_string_length